org.apache.cassandra.cql3.statements

## Class Restriction.EQ

- java.lang.Object
- - org.apache.cassandra.cql3.statements.Restriction.EQ

All Implemented Interfaces:
  Restriction

Enclosing interface:
  Restriction

    public static class Restriction.EQ
    extends java.lang.Object
    implements Restriction

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.Restriction

`Restriction.EQ, Restriction.IN, Restriction.Slice`

### Constructor Summary

Constructors
Constructor and Description
`Restriction.EQ(Term value, boolean onToken)`

### Method Summary

Methods
`boolean` `isEQ()`
`boolean` `isIN()`
`boolean` `isOnToken()`
`boolean` `isSlice()`
`java.lang.String` `toString()`
`java.util.List<java.nio.ByteBuffer>` `values(java.util.List<java.nio.ByteBuffer> variables)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Restriction.EQ

    public Restriction.EQ(Term value,
                  boolean onToken)

### Method Detail

#### values

    public java.util.List<java.nio.ByteBuffer> values(java.util.List<java.nio.ByteBuffer> variables)
                                               throws InvalidRequestException

Specified by:
  `values` in interface `Restriction`
Throws:
  `InvalidRequestException`

#### isSlice

    public boolean isSlice()

Specified by:
  `isSlice` in interface `Restriction`

#### isEQ

    public boolean isEQ()

Specified by:
  `isEQ` in interface `Restriction`

#### isIN

    public boolean isIN()

Specified by:
  `isIN` in interface `Restriction`

#### isOnToken

    public boolean isOnToken()

Specified by:
  `isOnToken` in interface `Restriction`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`